POST
/v1/knowledge-base/files/{id}/store-chunksStore or update knowledge base file chunks
Stores or updates chunks for a knowledge base file. Supply the chunk data in the required chunks array; each provided embedding must contain exactly 768 numeric values.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
idstringrequired
The identifier of the knowledge base file whose chunks to store or update.
Chunk data to store or update for the knowledge base file.
chunksarray<object>required
The array of chunks to store or update.
200Returns the result of storing or updating the knowledge base file chunks.
Error handling
chunks is required, and each supplied embedding must contain exactly 768 numeric values. The id path parameter identifies the knowledge base file whose chunks to store or update.